Bug 770534 - Review Request: rubygem-imagesize - Measure image size(GIF, PNG, JPEG ,,, etc)
Review Request: rubygem-imagesize - Measure image size(GIF, PNG, JPEG ,,, etc)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-27 04:45 EST by Mamoru TASAKA
Modified: 2015-06-21 20:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-04 11:40:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2011-12-27 04:45:04 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-imagesize/rubygem-imagesize.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-imagesize/rubygem-imagesize-0.1.1-5.fc.src.rpm
Description: 
Imagefile measures image (GIF, PNG, JPEG ,,, etc) size code 
by Pure Ruby ["PCX", "PSD", "XPM", "TIFF", "XBM", "PGM", 
"PBM", "PPM", "BMP", "JPEG", "PNG", "GIF", "SWF"]

Gem switch package from ruby-imagesize.

Scratch build:
f17: http://koji.fedoraproject.org/koji/taskinfo?taskID=3606595
f16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3606598
Comment 1 Mamoru TASAKA 2012-12-08 12:16:13 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-imagesize/rubygem-imagesize.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-imagesize/rubygem-imagesize-0.1.1-6.fc.src.rpm

* Sun Dec  9 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.1-6
- Rewrite for current ruby packaging guideline
Comment 2 Darryl L. Pierce 2012-12-10 08:28:47 EST
Taking this one.
Comment 3 Darryl L. Pierce 2012-12-10 11:11:54 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[x]: gems should require rubygems package
     Note: Requires: rubygems missing in rubygem-imagesize-doc
See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

There is no explicit license file in the upstream source. However, I see mentioned
in setup.rb a reference to LGPL v2.1 for that one source module only. Can we ask
the author for a more explicit license (LICENSE or COPYING file in the sources)?


===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

No LICENSE or COPYING file present.

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

The specfile references the Ruby license, but nothing in the sources indicates
the Ruby license. The website, though, does say it's released under the Ruby
license. It would be preferable if the author included a file which explicitly
declares the license for the code.

[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Gem package must not define a non-gem subpackage
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: gems should require rubygems package
     Note: Requires: rubygems missing in rubygem-imagesize-doc
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (imagesize-0.1.1.gem)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Gem package should exclude cached Gem.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir}, %exclude
     %{gem_cache}, %{gem_spec}, %{gem_libdir}
[!]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: rubygem-imagesize-0.1.1-6.fc17.noarch.rpm
          rubygem-imagesize-doc-0.1.1-6.fc17.noarch.rpm
rubygem-imagesize.noarch: W: spelling-error %description -l en_US Imagefile -> Image file, Image-file, Imaginable
rubygem-imagesize.noarch: W: obsolete-not-provided ruby-imagesize
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-imagesize-doc rubygem-imagesize
rubygem-imagesize.noarch: W: spelling-error %description -l en_US Imagefile -> Image file, Image-file, Imaginable
rubygem-imagesize.noarch: W: obsolete-not-provided ruby-imagesize
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-imagesize-doc (rpmlib, GLIBC filtered):
    rubygem-imagesize

rubygem-imagesize (rpmlib, GLIBC filtered):
    ruby(abi)
    rubygems



Provides
--------
rubygem-imagesize-doc:
    rubygem-imagesize-doc

rubygem-imagesize:
    rubygem(imagesize)
    rubygem-imagesize



MD5-sum check
-------------
http://rubygems.org/gems/imagesize-0.1.1.gem :
  CHECKSUM(SHA256) this package     : 913042d3afade625b71d05827b924692d05abfe1787d0f2b571fe95bc1c4a4df
  CHECKSUM(SHA256) upstream package : 913042d3afade625b71d05827b924692d05abfe1787d0f2b571fe95bc1c4a4df


Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-17-x86_64
Command line :/home/mcpierce/temp/FedoraReview/try-fedora-review -b 770534
Comment 4 Mamoru TASAKA 2012-12-16 09:00:42 EST
Would you summarize the current blocking issue on this review request?

For license, as setup.rb is not included in binary rpm, "GPLv2 or Ruby"
is enough for this (will be changed in the next update) (also setup.rb
is something like configure or so, which we usually don't take care of
for license issue). As README explicitly specifies the license for 
this gem, I think there is no license issue for this.
Comment 5 Darryl L. Pierce 2012-12-17 09:00:07 EST
(In reply to comment #4)
> Would you summarize the current blocking issue on this review request?
> 
> For license, as setup.rb is not included in binary rpm, "GPLv2 or Ruby"
> is enough for this (will be changed in the next update) (also setup.rb
> is something like configure or so, which we usually don't take care of
> for license issue). As README explicitly specifies the license for 
> this gem, I think there is no license issue for this.

Okay, I was asking for an explicit license file to make clear how the code is released. If it's going to be fixed in the next update, then I approve the package.
Comment 7 Darryl L. Pierce 2012-12-31 07:37:21 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-imagesize-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[!]: Latest version is packaged.

The latest version 1.1.1. I don't see a version 0.1.1 listed as a release artifact here:
https://rubygems.org/gems/image_size

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir}, %exclude
     %{gem_cache}, %{gem_spec}, %{gem_libdir}
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-imagesize-0.1.1-7.fc17.noarch.rpm
          rubygem-imagesize-doc-0.1.1-7.fc17.noarch.rpm
rubygem-imagesize.noarch: W: spelling-error %description -l en_US Imagefile -> Image file, Image-file, Imaginable
rubygem-imagesize.noarch: W: obsolete-not-provided ruby-imagesize
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-imagesize-doc rubygem-imagesize
rubygem-imagesize.noarch: W: spelling-error %description -l en_US Imagefile -> Image file, Image-file, Imaginable
rubygem-imagesize.noarch: W: obsolete-not-provided ruby-imagesize
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-imagesize-doc (rpmlib, GLIBC filtered):
    rubygem-imagesize

rubygem-imagesize (rpmlib, GLIBC filtered):
    ruby(abi)
    rubygems



Provides
--------
rubygem-imagesize-doc:
    rubygem-imagesize-doc

rubygem-imagesize:
    rubygem(imagesize)
    rubygem-imagesize



MD5-sum check
-------------
http://rubygems.org/gems/imagesize-0.1.1.gem :
  CHECKSUM(SHA256) this package     : 913042d3afade625b71d05827b924692d05abfe1787d0f2b571fe95bc1c4a4df
  CHECKSUM(SHA256) upstream package : 913042d3afade625b71d05827b924692d05abfe1787d0f2b571fe95bc1c4a4df


Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-17-x86_64
Command line :/home/mcpierce/temp/FedoraReview/try-fedora-review -b 770534


I would think it would be better that the upstream provide the license as a separate, specific file to avoid ambiguity.

Also, the packaged version is 0.1.1 while the latest version is 1.1.1 in Rubygems.org.

All of these things should be fixed but aren't blockers.

PACKAGED APPROVED.
Comment 8 Mamoru TASAKA 2013-01-03 10:16:16 EST
(In reply to comment #7)
> Also, the packaged version is 0.1.1 while the latest version is 1.1.1 in
> Rubygems.org.

Well, this is "image_size", not "imagesize", however I will check it later. Anyway I will push this (imagesize) into Fedora. Thank you for info.


New Package SCM Request
=======================
Package Name: rubygem-imagesize
Short Description: Measure image size(GIF, PNG, JPEG ,,, etc)
Owners: mtasaka
Branches: f17 f18
InitialCC:
Comment 9 Gwyn Ciesla 2013-01-03 10:19:42 EST
Git done (by process-git-requests).
Comment 10 Mamoru TASAKA 2013-01-04 11:40:46 EST
Imported, built and push requested. Thank you for review and git procedure.
Closing.

Note You need to log in before you can comment on or make changes to this bug.